%global __requires_exclude perl\\(AnyEvent::I3\\)

Name:           i3
Version:        4.13
Release:        %mkrel 3
Summary:        A tiling window manager
License:        BSD
Group:          Graphical desktop/Other
Url:            http://i3wm.org/
Source0:        http://i3wm.org/downloads/%{name}-%{version}.tar.bz2
Source1:        %{name}-logo.svg
Patch0:         i3-fix-libev-path.patch

BuildRequires:  xcb-devel
BuildRequires:  xcb-util-devel
BuildRequires:  x11-proto-devel
BuildRequires:  xcb-util-keysyms-devel
BuildRequires:  xcb-util-wm-devel
BuildRequires:  libev-devel
BuildRequires:  asciidoc
BuildRequires:  xmlto-notex
BuildRequires:  libxcursor-devel
BuildRequires:  yajl-devel
BuildRequires:  doxygen
BuildRequires:  startup-notification-devel
BuildRequires:  pkgconfig(libpcre)
BuildRequires:  graphviz
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(xcb-cursor)
BuildRequires:  pkgconfig(xcb-xrm)
BuildRequires:  pkgconfig(xkbcommon)
BuildRequires:  pkgconfig(xkbcommon-x11)
Requires:       xterm
Recommends:     dmenu
Recommends:	i3status

%description
i3 is a tiling window manager, completely written from scratch. The target
platforms are GNU/Linux and BSD operating systems, our code is Free and Open
Source Software (FOSS) under the BSD license. i3 is primarily targeted at
advanced users and developers.

%package doc
Summary:	Documentation for %{name}
BuildArch:	noarch
Requires:	%{name} = %{version}-%{release}
Group:		Graphical desktop/Other

%description doc
Asciidoc and doxygen generated documentations for %{name}.

%prep
%autosetup -p1

%build
%configure2_5x

%make_build -C *-mageia-linux-gnu*

doxygen pseudo-doc.doxygen
mv pseudo-doc/html pseudo-doc/doxygen

%install
%make_install -C *-mageia-linux-gnu*

mkdir -p %{buildroot}/%{_mandir}/man1/
install -Dpm0644 man/*.1 %{buildroot}/%{_mandir}/man1/

mkdir -p %{buildroot}/%{_datadir}/pixmaps/
install -Dpm0644 %{SOURCE1} %{buildroot}/%{_datadir}/pixmaps/

%posttrans
if [ "$1" -eq 1 ]; then
	if [ -e %{_datadir}/xsessions/31i3.desktop ]; then
		rm -rf %{_datadir}/xsessions/31i3.desktop
	fi
	if [ -e %{_sysconfdir}/X11/dm/Sessions/31i3.desktop ]; then
		rm -rf %{_sysconfdir}/X11/dm/Sessions/31i3.desktop
	fi
fi

%files
%doc LICENSE RELEASE-NOTES-%{version}
%dir %{_sysconfdir}/i3
%config(noreplace) %{_sysconfdir}/i3/config
%config(noreplace) %{_sysconfdir}/i3/config.keycodes
%{_datadir}/xsessions/*.desktop
%{_bindir}/i3*
%{_includedir}/i3/ipc.h
%{_mandir}/man1/i3*
%{_datadir}/pixmaps/i3*
%{_datadir}/applications/*.desktop
%exclude %{_docdir}/%{name}/

%files doc
%doc docs/*.{html,png} pseudo-doc/doxygen/


%changelog
* Fri Feb 24 2017 wally <wally> 4.13-3.mga6
+ Revision: 1087726
- remove generated xsessions .desktop file leftovers on update

* Tue Nov 22 2016 pterjan <pterjan> 4.13-2.mga6
+ Revision: 1068744
- Fix build on gnueabihf

* Thu Nov 10 2016 sander85 <sander85> 4.13-1.mga6
+ Revision: 1066296
- New version: 4.13 (synced with Fedora)

* Sat Aug 06 2016 sander85 <sander85> 4.12-2.mga6
+ Revision: 1044861
- Recommend i3status (doesn't work too well w/o it)

* Sat Apr 16 2016 shlomif <shlomif> 4.12-1.mga6
+ Revision: 1002985
- Add missing BR
- New version 4.12

* Thu Feb 04 2016 umeabot <umeabot> 4.7.2-5.mga6
+ Revision: 934977
- Mageia 6 Mass Rebuild

  + neoclust <neoclust>
    - Use upstream xsession files

* Wed Oct 15 2014 umeabot <umeabot> 4.7.2-3.mga5
+ Revision: 740003
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.7.2-2.mga5
+ Revision: 680396
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Feb 08 2014 dams <dams> 4.7.2-1.mga5
+ Revision: 585754
- new version 4.7.2
- remove useless patch
- remove useless BR ('flex', 'bison')
- add new BR ('xcb-cursor')

* Fri Oct 18 2013 umeabot <umeabot> 4.3-4.mga4
+ Revision: 505951
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 4.3-3.mga3
+ Revision: 354017
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 4.3-2.mga3
+ Revision: 323781
- rebuild for new pcre

* Wed Sep 26 2012 obgr_seneca <obgr_seneca> 4.3-1.mga3
+ Revision: 298274
- Fixed wrong include paths
- New version

* Sun Jun 03 2012 fwang <fwang> 4.2-2.mga3
+ Revision: 253728
- rebuild for new xcb-util

* Mon May 28 2012 obgr_seneca <obgr_seneca> 4.2-1.mga3
+ Revision: 247971
- add graphviz as BR
- add desktop file in file section
- New version 4.2

* Tue Feb 14 2012 obgr_seneca <obgr_seneca> 4.1.2-1.mga2
+ Revision: 208816
- new version 4.1.2

* Wed Jan 11 2012 obgr_seneca <obgr_seneca> 4.1.1-3.mga2
+ Revision: 194937
- new version 4.1.1

* Sun Dec 11 2011 obgr_seneca <obgr_seneca> 4.1-3.mga2
+ Revision: 180621
- removed xsession file (bug #3651)

* Fri Nov 25 2011 obgr_seneca <obgr_seneca> 4.1-2.mga2
+ Revision: 171883
- rebuild against new yajl

* Fri Nov 25 2011 obgr_seneca <obgr_seneca> 4.1-1.mga2
+ Revision: 171845
- added pcre as BR
- new version 4.1

* Mon Sep 12 2011 obgr_seneca <obgr_seneca> 4.0.2-1.mga2
+ Revision: 142661
-removed unneccessary %%post and %%postun section
- Added Requires to xterm
- Fixed typo in wmsession file creation
- changed BuildRequires from yajl to yajl-devel
- added wmsessions entry
- imported package i3

